libzypp 17.37.10

HistoryLogData.cc File Reference
`#include <sstream>`
`#include <zypp/base/PtrTypes.h>`
`#include <zypp/base/String.h>`
`#include <zypp/base/Logger.h>`
`#include <zypp-core/parser/ParseException>`
`#include <zypp/HistoryLogData.h>`

Go to the source code of this file.

## Classes
class | zypp::HistoryLogData::Impl
class | zypp::ParseException

## Namespaces
namespace | zypp
| Easy-to use interface to the ZYPP dependency resolver.

## Macros
#define | OUTS(E, T)

## Macro Definition Documentation

## ◆ OUTS

#define OUTS | ( |  | E,
|  |  | T )

Value:
case HistoryActionID::E: return Ptr( new T( fields_r ) ); break;